package agilpizza.comum;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;
import org.testng.annotations.Test;
import agilpizza.internal.SeleniumTestCase;

public class IngredientesTest extends SeleniumTestCase {
	@Test
	public void informacoesTeste() {
		sel.open(CONTEXTO);
		assertEquals("AgilPizza", sel.getTitle());
		assertTrue(sel.isElementPresent("linkIngredientes"));
		sel.clickAndWait("linkIngredientes");
		
		assertTrue("Falta Outros", sel.isTextPresent("Outros"));
		assertTrue("Falta Ovo - R$ 0,30", sel.isTextPresent("Ovo - R$ 0,30"));
		assertTrue("Falta Orégano - R$ 0,30", sel.isTextPresent("Orégano - R$ 0,30"));
		assertTrue("Falta Molho de Tomate - R$ 0,30", sel.isTextPresent("Molho de Tomate - R$ 0,30"));
		
		assertTrue("Falta Queijos", sel.isTextPresent("Queijos"));
		assertTrue("Falta Mussarela - R$ 0,50", sel.isTextPresent("Mussarela - R$ 0,50"));
		assertTrue("Falta Mussarela em dobro - R$ 1,00", sel.isTextPresent("Mussarela em dobro - R$ 1,00"));
		assertTrue("Falta Mussarela de Búfala - R$ 1,00", sel.isTextPresent("Mussarela de Búfala - R$ 1,00"));
		assertTrue("Falta Parmesão - R$ 0,50", sel.isTextPresent("Parmesão - R$ 0,50"));
		assertTrue("Falta Catupiry - R$ 1,00", sel.isTextPresent("Catupiry - R$ 1,00"));
		assertTrue("Falta Requeijão - R$ 0,50", sel.isTextPresent("Requeijão - R$ 0,50"));
		assertTrue("Falta Provolone - R$ 0,50", sel.isTextPresent("Provolone - R$ 0,50"));
		assertTrue("Falta Gorgonzola - R$ 0,50", sel.isTextPresent("Gorgonzola - R$ 0,50"));
		
		assertTrue("Falta Vegetais", sel.isTextPresent("Vegetais"));
		assertTrue("Falta Escarola - R$ 0,80", sel.isTextPresent("Escarola - R$ 0,80"));
		assertTrue("Falta Brócolis - R$ 0,80", sel.isTextPresent("Brócolis - R$ 0,80"));
		assertTrue("Falta Rúcula - R$ 0,80", sel.isTextPresent("Rúcula - R$ 0,80"));
		assertTrue("Falta Tomate - R$ 0,80", sel.isTextPresent("Tomate - R$ 0,80"));
		assertTrue("Falta Tomate cereja - R$ 0,80", sel.isTextPresent("Tomate cereja - R$ 0,80"));
		assertTrue("Falta Tomates secos - R$ 1,20", sel.isTextPresent("Tomates secos - R$ 1,20"));
		assertTrue("Falta Champignon - R$ 0,80", sel.isTextPresent("Champignon - R$ 0,80"));
		assertTrue("Falta Shitake - R$ 1,20", sel.isTextPresent("Shitake - R$ 1,20"));
		assertTrue("Falta Shimeji - R$ 1,20", sel.isTextPresent("Shimeji - R$ 1,20"));
		assertTrue("Falta Aspargos - R$ 0,80", sel.isTextPresent("Aspargos - R$ 0,80"));
		assertTrue("Falta Alcaparras - R$ 0,80", sel.isTextPresent("Alcaparras - R$ 0,80"));
		assertTrue("Falta Cebola - R$ 0,80", sel.isTextPresent("Cebola - R$ 0,80"));
		assertTrue("Falta Alho - R$ 0,80", sel.isTextPresent("Alho - R$ 0,80"));
		assertTrue("Falta Milho - R$ 0,80", sel.isTextPresent("Milho - R$ 0,80"));
		assertTrue("Falta Alcachofra - R$ 1,20", sel.isTextPresent("Alcachofra - R$ 1,20"));
		assertTrue("Falta Abobrinha - R$ 0,80", sel.isTextPresent("Abobrinha - R$ 0,80"));
		assertTrue("Falta Berinjela - R$ 0,80", sel.isTextPresent("Berinjela - R$ 0,80"));
		
		assertTrue("Falta Carnes", sel.isTextPresent("Carnes"));
		assertTrue("Falta Presunto - R$ 1,20", sel.isTextPresent("Presunto - R$ 1,20"));
		assertTrue("Falta Frango - R$ 1,20", sel.isTextPresent("Frango - R$ 1,20"));
		assertTrue("Falta Bacon - R$ 1,20", sel.isTextPresent("Bacon - R$ 1,20"));
		assertTrue("Falta Calabresa - R$ 1,20", sel.isTextPresent("Calabresa - R$ 1,20"));
		}
}
